Get domain verifications
Retrieve a list of pending and completed domain verifications.
Retrieve a list of pending and completed domain verifications.
Authorizations
AuthorizationstringRequired
API Token authentication
Body
domainsstring[]RequiredExample:
The list of domains for which to get verification details for.
example.comResponses
200
Success response
application/json
Returns active verifications (PENDING and VERIFIED) grouped by status and domain. Includes last and next verification attempt dates and expiration for PENDING verifications.
401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
get/api/v2/direct/verifications/active
GET /api/v2/direct/verifications/active HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27
{
"domains": [
"example.com"
]
}{
"data": {
"PENDING": {
"pixel.tld": {
"NAMESERVERS": {
"records": [
"ns1.nameserver.com",
"ns2.nameserver.com"
],
"last_verification_attempt": "2025-08-05 13:15:00",
"next_verification_attempt": "2025-08-05 14:30:00",
"verification_expiration": "2025-08-12 13:15:00"
},
"TXT": {
"records": [
"txt-verification-hash"
],
"last_verification_attempt": "2025-08-05 14:45:00",
"next_verification_attempt": "2025-08-05 15:00:00",
"verification_expiration": "2025-08-12 14:45:00"
}
}
},
"VERIFIED": {
"byte.tld": {
"TXT": {
"records": [
"other-txt-verification-hash"
]
}
}
}
}
}Last updated
Was this helpful?